List Repositories Available to an Integration
ExperimentalThis API is under active development and may change.
GET /api/0/organizations/{organization_id_or_slug}/integrations/{integration_id}/repos/
Get the list of repositories available in an integration
Copied
Gets all repositories that an integration makes available,
and indicates whether or not you can search repositories
by name.
:qparam string search: Name fragment to search repositories by.
:qparam bool installableOnly: If true, return only repositories that can be installed.
If false or not provided, return all repositories.
:qparam bool accessibleOnly: If true, only return repositories that the integration
installation has access to, filtering locally instead of
using the provider's search API which may return results
beyond the installation's scope.
Gets all repositories that an integration makes available,
and indicates whether or not you can search repositories
by name.
:qparam string search: Name fragment to search repositories by.
:qparam bool installableOnly: If true, return only repositories that can be installed.
If false or not provided, return all repositories.
:qparam bool accessibleOnly: If true, only return repositories that the integration
installation has access to, filtering locally instead of
using the provider's search API which may return results
beyond the installation's scope.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
integration_id(string)REQUIREDThe ID of the integration installed on the organization.
Query Parameters:
search(string)Repository name to search for.
installableOnly(boolean)Only return repositories that are not already installed in Sentry.
accessibleOnly(boolean)Only search repositories accessible to the integration installation.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:org:adminorg:integrationsorg:readorg:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/integrations/{integration_id}/repos/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied.
Was this helpful?